.TH erand48() "" "" "Random-Number Function (libc)"
.PC "Return a 48-bit pseudo-random number as a double"
\fBdouble erand48(\fIxsubi\^\fB)\fR
\fBunsigned short \fIxsubi\^\fB[3];\fR
.PP
Function
.B erand48()
generates a 48-bit pseudo-random number, and returns it in the form of a
.BR double .
The value returned is (or should be) uniformly distributed
through the range of 0.0 through 1.0.
.I xsubi
is an array of three unsigned short integers from
which the pseudo-random number is built.
.SH "See Also"
.Xr "libc," libc
.Xr "srand48()" srand48
